<script lang="ts">
	import { fade } from 'svelte/transition';
	import { onDestroy } from 'svelte';
	import { darkTheme } from 'src/stores';

	let active = true;
	onDestroy(() => {
		active = false;
	});
</script>

<svelte:head>
	<style>
		#circle2 {
			display: block;
			position: absolute;
			top: 45%;
			left: 50%;
			height: 50px;
			width: 50px;
			margin: -25px 0 0 -25px;
			border: 2px #FF6800 solid;
			border-top: 2px #000 solid;
			border-radius: 50%;
			-webkit-animation: spin2 1s infinite linear;
			animation: spin2 1s infinite linear;
		}

		@-webkit-keyframes spin2 {
			from {
				-webkit-transform: rotate(0deg);
				transform: rotate(0deg);
			}
			to {
				-webkit-transform: rotate(359deg);
				transform: rotate(359deg);
			}
		}
		@keyframes spin2 {
			from {
				-webkit-transform: rotate(0deg);
				transform: rotate(0deg);
				-webkit-transform: rotate(0deg);
				transform: rotate(0deg);
			}
			to {
				-webkit-transform: rotate(359deg);
				transform: rotate(359deg);
				-webkit-transform: rotate(359deg);
				transform: rotate(359deg);
			}
		}
	</style>
</svelte:head>

{#if active}
	<div class={$darkTheme ? 'dark' : ''}>
		<div
			transition:fade
			class="w-full h-full fixed block top-0 left-0 dark:bg-gray-900 bg-gray-100 z-50"
		>
			<div class="col-sm-2">
				<div id="circle2" />
			</div>
			<div class="flex justify-center items-center h-full w-full">
				<p class="mt-10 dark:text-white text-gray-600">กรุณารอสักครู่...</p>
			</div>
		</div>
	</div>
{/if}
